# AdSense Host API . customchannels

## Instance Methods

Delete a specific custom channel from the host AdSense account.

Get a specific custom channel from the host AdSense account.

Add a new custom channel to the host AdSense account.

List all host custom channels in this AdSense account.

Retrieves the next page of results.

Update a custom channel in the host AdSense account. This method supports patch semantics.

Update a custom channel in the host AdSense account.

### Method Details

`delete(adClientId, customChannelId)`

    Delete a specific custom channel from the host AdSense account.

    Args:
      adClientId: string, Ad client from which to delete the custom channel. (required)
      customChannelId: string, Custom channel to delete. (required)

    Returns:
      An object of the form:

        {
          "kind": "adsensehost#customChannel", # Kind of resource this is, in this case adsensehost#customChannel.
          "code": "A String", # Code of this custom channel, not necessarily unique across ad clients.
          "id": "A String", # Unique identifier of this custom channel. This should be considered an opaque identifier; it is not safe to rely on it being in any particular format.
          "name": "A String", # Name of this custom channel.
        }

`get(adClientId, customChannelId)`

    Get a specific custom channel from the host AdSense account.

    Args:
      adClientId: string, Ad client from which to get the custom channel. (required)
      customChannelId: string, Custom channel to get. (required)

    Returns:
      An object of the form:

        {
          "kind": "adsensehost#customChannel", # Kind of resource this is, in this case adsensehost#customChannel.
          "code": "A String", # Code of this custom channel, not necessarily unique across ad clients.
          "id": "A String", # Unique identifier of this custom channel. This should be considered an opaque identifier; it is not safe to rely on it being in any particular format.
          "name": "A String", # Name of this custom channel.
        }

`insert(adClientId, body)`

    Add a new custom channel to the host AdSense account.

    Args:
      adClientId: string, Ad client to which the new custom channel will be added. (required)
      body: object, The request body. (required)
        The object takes the form of:

    {
        "kind": "adsensehost#customChannel", # Kind of resource this is, in this case adsensehost#customChannel.
        "code": "A String", # Code of this custom channel, not necessarily unique across ad clients.
        "id": "A String", # Unique identifier of this custom channel. This should be considered an opaque identifier; it is not safe to rely on it being in any particular format.
        "name": "A String", # Name of this custom channel.
      }

    Returns:
      An object of the form:

        {
          "kind": "adsensehost#customChannel", # Kind of resource this is, in this case adsensehost#customChannel.
          "code": "A String", # Code of this custom channel, not necessarily unique across ad clients.
          "id": "A String", # Unique identifier of this custom channel. This should be considered an opaque identifier; it is not safe to rely on it being in any particular format.
          "name": "A String", # Name of this custom channel.
        }

`list(adClientId, pageToken=None, maxResults=None)`

    List all host custom channels in this AdSense account.

    Args:
      adClientId: string, Ad client for which to list custom channels. (required)
      pageToken: string, A continuation token, used to page through custom channels. To retrieve the next page, set this parameter to the value of "nextPageToken" from the previous response.
      maxResults: integer, The maximum number of custom channels to include in the response, used for paging.

    Returns:
      An object of the form:

        {
        "nextPageToken": "A String", # Continuation token used to page through custom channels. To retrieve the next page of results, set the next request's "pageToken" value to this.
        "items": [ # The custom channels returned in this list response.
          {
              "kind": "adsensehost#customChannel", # Kind of resource this is, in this case adsensehost#customChannel.
              "code": "A String", # Code of this custom channel, not necessarily unique across ad clients.
              "id": "A String", # Unique identifier of this custom channel. This should be considered an opaque identifier; it is not safe to rely on it being in any particular format.
              "name": "A String", # Name of this custom channel.
            },
        ],
        "kind": "adsensehost#customChannels", # Kind of list this is, in this case adsensehost#customChannels.
        "etag": "A String", # ETag of this response for caching purposes.
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.

`patch(adClientId, customChannelId, body)`

    Update a custom channel in the host AdSense account. This method supports patch semantics.

    Args:
      adClientId: string, Ad client in which the custom channel will be updated. (required)
      customChannelId: string, Custom channel to get. (required)
      body: object, The request body. (required)
        The object takes the form of:

    {
        "kind": "adsensehost#customChannel", # Kind of resource this is, in this case adsensehost#customChannel.
        "code": "A String", # Code of this custom channel, not necessarily unique across ad clients.
        "id": "A String", # Unique identifier of this custom channel. This should be considered an opaque identifier; it is not safe to rely on it being in any particular format.
        "name": "A String", # Name of this custom channel.
      }

    Returns:
      An object of the form:

        {
          "kind": "adsensehost#customChannel", # Kind of resource this is, in this case adsensehost#customChannel.
          "code": "A String", # Code of this custom channel, not necessarily unique across ad clients.
          "id": "A String", # Unique identifier of this custom channel. This should be considered an opaque identifier; it is not safe to rely on it being in any particular format.
          "name": "A String", # Name of this custom channel.
        }

`update(adClientId, body)`

    Update a custom channel in the host AdSense account.

    Args:
      adClientId: string, Ad client in which the custom channel will be updated. (required)
      body: object, The request body. (required)
        The object takes the form of:

    {
        "kind": "adsensehost#customChannel", # Kind of resource this is, in this case adsensehost#customChannel.
        "code": "A String", # Code of this custom channel, not necessarily unique across ad clients.
        "id": "A String", # Unique identifier of this custom channel. This should be considered an opaque identifier; it is not safe to rely on it being in any particular format.
        "name": "A String", # Name of this custom channel.
      }

    Returns:
      An object of the form:

        {
          "kind": "adsensehost#customChannel", # Kind of resource this is, in this case adsensehost#customChannel.
          "code": "A String", # Code of this custom channel, not necessarily unique across ad clients.
          "id": "A String", # Unique identifier of this custom channel. This should be considered an opaque identifier; it is not safe to rely on it being in any particular format.
          "name": "A String", # Name of this custom channel.
        }